Page MenuHomePhabricator

S4. Enable Flow post editing for autoconfirmed users on MediaWiki.org, enwiki, ruwiki
Closed, ResolvedPublic0 Story Points

Description

This will allow any post to be edited by any autoconfirmed user.

For now, we're just going to turn this on by request for ruwiki, MediaWiki.org & enwiki. We want to make sure that this is a positive change before turning it on everywhere.

Note: hewiki has also asked for this.

Details

Related Gerrit Patches:

Event Timeline

That's easy. A post can be edited if:

  • it's your own
  • you have flow-edit-post permissions

We just need to grant autoconfirmed users that right.

But do we really want to enable that for all wikis? I think that's a horrible feature :)

But do we really want to enable that for all wikis? I think that's a horrible feature :)

We're not locked in. If autoconfirmed turns out to be a problem in some wikis, we can change it either globally, or per-wiki. Meanwhile, the features we're developing in conjunction (T89187: R4. "Your comment has been edited" Echo notification (Russian) and T89198: R3. Add "undo" functionality to edited Flow posts (Russian)) will be useful regardless.

DannyH renamed this task from Enable post editing for autoconfirmed users on all WMF wikis to Enable post editing for autoconfirmed users on all WMF wikis (Russian).Mar 2 2015, 7:54 PM
DannyH renamed this task from Enable post editing for autoconfirmed users on all WMF wikis (Russian) to Enable post editing for autoconfirmed users on Mediawiki, English, Russian.
DannyH updated the task description. (Show Details)
DannyH set Security to None.
DannyH edited a custom field.
DannyH renamed this task from Enable post editing for autoconfirmed users on Mediawiki, English, Russian to Enable Flow post editing for autoconfirmed users on Mediawiki, English, Russian.Mar 10 2015, 7:02 PM
DannyH added a project: Roadmap.

Change 196068 had a related patch set uploaded (by EBernhardson):
Enable Flow post editing for autoconfirmed users on Mediawiki, English, Russian

https://gerrit.wikimedia.org/r/196068

DannyH renamed this task from Enable Flow post editing for autoconfirmed users on Mediawiki, English, Russian to S4. Enable Flow post editing for autoconfirmed users on Mediawiki, English, Russian.Mar 11 2015, 9:42 PM
DannyH removed a project: Collaboration-Team-Triage.
Mattflaschen-WMF renamed this task from S4. Enable Flow post editing for autoconfirmed users on Mediawiki, English, Russian to S4. Enable Flow post editing for autoconfirmed users on MediaWiki.org, English, Russian.Mar 11 2015, 10:44 PM

Maybe also add a patch to enable post editing for autoconfirmed users on beta?

Maybe also add a patch to enable post editing for autoconfirmed users on beta?

We could do it on Beta a little early to test.

Once it's in production, Beta should just follow the production config.

jayvdb added a subscriber: jayvdb.Mar 19 2015, 8:52 AM
Ricordisamoa renamed this task from S4. Enable Flow post editing for autoconfirmed users on MediaWiki.org, English, Russian to S4. Enable Flow post editing for autoconfirmed users on MediaWiki.org, enwiki, ruwiki.Mar 22 2015, 6:56 AM
Ricordisamoa updated the task description. (Show Details)
Meirae added a subscriber: Meirae.Mar 22 2015, 6:04 PM
DannyH updated the task description. (Show Details)Mar 23 2015, 7:22 PM
Restricted Application added a project: Notice. · View Herald TranscriptMar 24 2015, 6:07 PM

matt has scheduled this for todays swat, and will be live tonight.

gpaumier moved this task from Backlog to Triaged on the Notice board.Mar 25 2015, 9:59 PM

Change 196068 merged by jenkins-bot:
Enable editing of Flow posts, by autoconfirmed users, on mediawikiwiki, enwiki, ruwiki

https://gerrit.wikimedia.org/r/196068

DannyH closed this task as Resolved.Mar 26 2015, 8:43 PM

Done

Teles added a subscriber: Teles.Mar 30 2015, 2:08 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 7 2015, 5:43 PM
gpaumier moved this task from Triaged to Archive on the Notice board.Apr 9 2015, 5:45 PM
Mjbmr moved this task from Backlog to Done on the Wikimedia-Site-requests board.May 4 2015, 2:26 PM